4

I've recently bought a MacBook with OS X 10.9 and I've just updated it to 10.9.1 (x86_64-apple-darwin10.8.0 64-bit).

I'd like to install the version 13 of Darwin.

I've done everything proposed by this website, but when I try to make xnu, I have this error message:

Generating libkern/version.h from /Users/xxxx/Downloads/xnu-2422.1.72/libkern/libkern/version.h.template
install: target ‘version.h’ is not a directory
make[5]: *** [version.h] Error 1
make[4]: *** [build_exporthdrs_mi] Error 2
make[3]: *** [build_exporthdrs_mi_recurse_into_libkern] Error 2
make[2]: *** [build_exporthdrs_mi_recurse_into_libkern] Error 2
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [build_exporthdrs_mi_bootstrap_RELEASE^X86_64^NONE] Error 2
make: *** [all] Error 2
8
  • Did you try sudo make?
    – daviesgeek
    Jan 18 '14 at 22:43
  • I've just tried with sudo. I'm getting the same error messages Jan 18 '14 at 23:22
  • @Tetraodienne, you "tried with sudo" — with sudo make or sudo make ARCH_CONFIGS=X86_64 KERNEL_CONFIGS=RELEASE? Just to be clear, daviesgeek is stating sudo make by itself. Also, ensure you're in the xnu-2422.1.72 directory to execute the command.
    – l'L'l
    Jan 19 '14 at 5:39
  • @l'L'l I've tried both sudo make and sudo make ARCH_CONFIGS=X86_64 KERNEL_CONFIGS=RELEASE. And yes, I'm sure I've executed these commands in the xnu-2422.1.72directory. Jan 19 '14 at 7:55
  • @Tetraodienne, Ah good, just making sure. It could be something is amiss with the instructions you're using. One more question, do have the xcode command line tools installed?
    – l'L'l
    Jan 19 '14 at 8:15
1

The problem is somewhere with my bash (I've brewed some GNU utils, it is maybe it). So, I've used zsh and the makecommand compiled great!

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .